/*
 * or4.h
 *
 *  Created on: 15-02-2017
 *      Author: Krzysztof Jakubczyk
 */

#ifndef OD_BL_H_
#define OD_BL_H_


#include "tdefs.h"

//#include "pawel_usun_to.h"

struct od_bl_logic
{
	u8 *in_odst[3];
	u8 in_odst_bit_mask[3];
	u8 *in_bl[3];
	u8 in_bl_bit_mask[3];
	u8 *out_odst;
	u8 out_odst_bit_mask;
	u8 *out_bl;
	u8 out_bl_bit_mask;
	u8 *out_od_bl;
	u8 out_od_bl_bit_mask;
	
	u8 odstawione;
};

struct od_bl_io
{
	u32 in1_odst_in;
	u32 in2_odst_in;
	u32 in3_odst_in;
	u32 in1_bl_in;
	u32 in2_bl_in;
	u32 in3_bl_in;
	u32 odst_out;
	u32 bl_out;
	u32 od_bl_out;
}__attribute__((__packed__));

struct od_bl_params
{
	u32 bity;
}__attribute__((__packed__));

struct od_bl_args
{
	struct od_bl_io io;
	struct od_bl_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void od_bl(void *args, void *logic);
extern int od_bl_initlog(void *arguments, void *logic);

#endif /* OD_BL_H_ */
